KParts::MainWindow Class Reference

`#include <mainwindow.h>`

Inheritance diagram for KParts::MainWindow:

## Public Member Functions

| MainWindow (QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)
| MainWindow (const char *name=0L, WFlags f=WDestructiveClose)
| MainWindow (int cflags, QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)
virtual | ~MainWindow ()
Public Member Functions inherited from KParts::PartBase
| PartBase ()
virtual | ~PartBase ()
void | setPartObject (QObject *object)
QObject * | partObject () const

## Protected Slots

void | createGUI (KParts::Part *part)
virtual void | slotSetStatusBarText (const QString &)
void | saveNewToolbarConfig ()

## Protected Member Functions

virtual void | createShellGUI (bool create=true)
Protected Member Functions inherited from KParts::PartBase
virtual void | setInstance (KInstance *instance)
virtual void | setInstance (KInstance *instance, bool loadPlugins)
void | loadPlugins (QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance)
void | setPluginLoadingMode (PluginLoadingMode loadingMode)

## Additional Inherited Members

Protected Types inherited from KParts::PartBase
enum | PluginLoadingMode { DoNotLoadPlugins = 0, LoadPlugins = 1, LoadPluginsIfEnabled = 2 }

## Detailed Description

A KPart-aware main window, whose user interface is described in XML.

Inherit your main window from this class and don't forget to call setXMLFile() in the inherited constructor.

It implements all internal interfaces in the case of a KMainWindow as host: the builder and servant interface (for menu merging).

Definition at line 47 of file mainwindow.h.

## Constructor & Destructor Documentation

MainWindow::MainWindow | ( | QWidget * | parent,
|  | const char * | name = `0L`,
|  | WFlags | f = `WType_TopLevel | WDestructiveClose`
| ) |  |

Constructor, same signature as KMainWindow.

Definition at line 60 of file mainwindow.cpp.

MainWindow::MainWindow | ( | const char * | name = `0L`,
|  | WFlags | f = `WDestructiveClose`
| ) |  |

Compatibility Constructor.

Definition at line 67 of file mainwindow.cpp.

MainWindow::MainWindow | ( | int | cflags,
|  | QWidget * | parent,
|  | const char * | name = `0L`,
|  | WFlags | f = `WType_TopLevel | WDestructiveClose`
| ) |  |

Constructor with creation flags, see KMainWindow.

Since
  3.2

Definition at line 74 of file mainwindow.cpp.

MainWindow::~MainWindow | ( |  | ) |

virtual

Destructor.

Definition at line 81 of file mainwindow.cpp.

## Member Function Documentation

void MainWindow::createGUI | ( | KParts::Part * | part | ) |

protected slot

Create the GUI (by merging the host's and the active part's) You must call this in order to see any GUI being created.

In a main window with multiple parts being shown (e.g. as in Konqueror) you need to connect this slot to the KPartManager::activePartChanged() signal

Parameters

  part | The active part (set to 0L if no part).

Definition at line 86 of file mainwindow.cpp.

void KParts::MainWindow::saveNewToolbarConfig | ( |  | ) |

protected slot

Rebuilds the GUI after KEditToolbar changed the toolbar layout.

See also
  configureToolbars() KDE4: make this virtual. (For now we rely on the fact that it's called as a slot, so the metaobject finds it here).

Definition at line 185 of file mainwindow.cpp.

void MainWindow::slotSetStatusBarText | ( | const QString & | text | ) |

protected virtual slot

Called when the active part wants to change the statusbar message Reimplement if your mainwindow has a complex statusbar (with several items)

Definition at line 145 of file mainwindow.cpp.

The documentation for this class was generated from the following files:

- mainwindow.h
- mainwindow.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys